> # NAME

> cgGetParameterClassString - get the name associated with a parameter class enumerant

> # SYNOPSIS

>       #include <Cg/cg.h>

>       const char * cgGetParameterClassString( CGparameterclass parameterclass );

> # PARAMETERS

> parameterclass

>   The parameter class enumerant.

> # RETURN VALUES

> Returns the name associated with parameterclass.

> Returns "unknown" if parameterclass is not a valid parameter class.

> # DESCRIPTION

> cgGetParameterClassString returns the name associated with a parameter class enumerant.

> # EXAMPLES

>       static void dumpCgParameterInfo(CGparameter parameter)
>       {
>         /* ... */
>         const char* p = cgGetParameterClassString(cgGetParameterType(parameter));
>         if ( p ) {
>           printf(" ParameterClass: %s\n", p);
>         }
>         /* ... */
>       }

> # ERRORS

> None.

> # HISTORY

> cgGetParameterClassString was introduced in Cg 2.2.

> # SEE ALSO

> cgGetParameterClassEnum, cgGetParameterClass, cgGetTypeClass